org.apache.jmeter.report.processor

## Class SumAggregator

- java.lang.Object
- - org.apache.jmeter.report.processor.SumAggregator

- All Implemented Interfaces:
    Aggregator

      public class SumAggregator
      extends Object
      implements Aggregator

  The class SumAggregator is used to get sum from samples.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SumAggregator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(double value)` Adds the specified value to the storage of the current aggregator.
    `long` | `getCount()` Gets the number of aggregated values.
    `double` | `getResult()` Gets the result of the aggregation using stored values.
    `void` | `reset()` Reset the state of the aggregator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SumAggregator

          public SumAggregator()

  - ### Method Detail

    - #### getCount

          public long getCount()

      Description copied from interface: `Aggregator`
      Gets the number of aggregated values.
      Specified by:
        `getCount` in interface `Aggregator`
      Returns:
        the number of aggregated values

    - #### getResult

          public double getResult()

      Description copied from interface: `Aggregator`
      Gets the result of the aggregation using stored values.
      Specified by:
        `getResult` in interface `Aggregator`
      Returns:
        the result of the aggregation.

    - #### addValue

          public void addValue(double value)

      Description copied from interface: `Aggregator`
      Adds the specified value to the storage of the current aggregator.
      Specified by:
        `addValue` in interface `Aggregator`
      Parameters:
        `value` - the value to aggregate

    - #### reset

          public void reset()

      Description copied from interface: `Aggregator`
      Reset the state of the aggregator.
      Specified by:
        `reset` in interface `Aggregator`

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.